aagc.vo

## Class OpzioniType

- java.lang.Object
- - aagc.vo.OpzioniType

-     public class OpzioniType
      extends java.lang.Object

  Classe Java per opzioniType complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="opzioniType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="chiave" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="tipo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="valore" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `chiave`
    `protected java.lang.String` | `tipo`
    `protected java.lang.String` | `valore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpzioniType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChiave()` Recupera il valore della proprietà chiave.
    `java.lang.String` | `getTipo()` Recupera il valore della proprietà tipo.
    `java.lang.String` | `getValore()` Recupera il valore della proprietà valore.
    `void` | `setChiave(java.lang.String value)` Imposta il valore della proprietà chiave.
    `void` | `setTipo(java.lang.String value)` Imposta il valore della proprietà tipo.
    `void` | `setValore(java.lang.String value)` Imposta il valore della proprietà valore.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### chiave

          protected java.lang.String chiave

    - #### tipo

          protected java.lang.String tipo

    - #### valore

          protected java.lang.String valore

  - ### Constructor Detail

    - #### OpzioniType

          public OpzioniType()

  - ### Method Detail

    - #### getChiave

          public java.lang.String getChiave()

      Recupera il valore della proprietà chiave.
      Returns:
        possible object is `String`

    - #### setChiave

          public void setChiave(java.lang.String value)

      Imposta il valore della proprietà chiave.
      Parameters:
        `value` - allowed object is `String`

    - #### getTipo

          public java.lang.String getTipo()

      Recupera il valore della proprietà tipo.
      Returns:
        possible object is `String`

    - #### setTipo

          public void setTipo(java.lang.String value)

      Imposta il valore della proprietà tipo.
      Parameters:
        `value` - allowed object is `String`

    - #### getValore

          public java.lang.String getValore()

      Recupera il valore della proprietà valore.
      Returns:
        possible object is `String`

    - #### setValore

          public void setValore(java.lang.String value)

      Imposta il valore della proprietà valore.
      Parameters:
        `value` - allowed object is `String`